.header {
    padding: rem(20) 0;

    &__wrap {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: rem(139);
        flex-shrink: 0;
    }

    &__contact {
        display: flex;
        align-items: center;
    }

    &__callback {
        display: none;
    }

    &__phone {
        width: rem(42);
        height: rem(42);
        background: linear-gradient(89.85deg, #FFF16F 1.56%, #FFDA91 99.87%);
        box-shadow: 0px 4px 4px rgba(42, 78, 75, 0.07), inset 0px 1px 1px rgba(255, 255, 255, 0.52);
        border-radius: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;

        span {
            display: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(18);
            display: inline-block;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(24) 0;

        &__logo {
            width: rem(187);
        }

        &__contact{
            top: rem(-8);
            position: relative;
        }

        &__callback {
            display: block;
            margin-left: rem(40);
        }

        &__phone {
            padding: 0;
            width: auto;
            font-weight: 600;
            font-size: rem(22);
            line-height: rem(24);
            box-shadow: none;
            text-decoration: none;
            white-space: nowrap;
            background: transparent;

            i {
                top: 1px;
                position: relative;
                margin-right: rem(10);
            }

            span {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__hamburger {
            display: none;
        }

        &__layout {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {}
}

.hamburger {
    width: rem(24);
    height: rem(16);
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        height: 1px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 3px;
        background-color: $black;
    }

    span {
        top: 50%;
        width: 100%;
    }

    &:after {
        top: 0;
        width: 70%;
    }

    &:before {
        top: 100%;
        width: 80%;
    }

    &.hamburger--open {

    }
}

.nav-open {

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__layout {
        opacity: 1;
        visibility: visible;
    }

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(8px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-8px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }
}
